Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 136289 - Spacing in editor toolbar
Spacing in editor toolbar
Status: RESOLVED WONTFIX
Product: editor
Classification: Unclassified
Component: Actions/Menu/Toolbar
6.x
All All
: P4 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: L&F
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-02 17:15 UTC by Ondrej Langr
Modified: 2009-11-02 11:03 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
current editor toolbar spacing (59.07 KB, image/png)
2008-06-02 17:19 UTC, Ondrej Langr
Details
how editor toolbar spacing should look like on windows L&F (59.28 KB, image/png)
2008-06-02 17:20 UTC, Ondrej Langr
Details
toolbar comparison (178.01 KB, image/png)
2008-08-15 14:53 UTC, Ondrej Langr
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ondrej Langr 2008-06-02 17:15:42 UTC
The spacing in the editor toolbar below and above the design/source buttons and other icons should be symmetric. This
should apply to all L&F
Comment 1 Ondrej Langr 2008-06-02 17:19:56 UTC
Created attachment 62268 [details]
current editor toolbar spacing
Comment 2 Ondrej Langr 2008-06-02 17:20:29 UTC
Created attachment 62269 [details]
how editor toolbar spacing should look like on windows L&F
Comment 3 Vitezslav Stejskal 2008-06-06 12:08:20 UTC
I assume this should be easy to fix.
Comment 4 Ondrej Langr 2008-08-15 14:51:42 UTC
I evaluated this in more detail and size of elements in the toolbar came into play.

The problem persists:

1) On Win XP L&F for both textual buttons (Design/Source in matisse) and graphical buttons.
2) On Nimbus (Solaris) for graphical buttons only
3) On Mac OS X for all buttons (asymmetry) yet more visible for textual buttons (the highlighting touches the bottom of
the toolbar).

It seems OK on Windows Vista. 

I only think it is a rather serious disturbance wherever the highlighting graphics directly touches the bottom of the
toolbar, the asymmetry itself is rather minor visual issue. I suggest not to spend time on fixing it on mac, as Mac
windowing system should go through more serious changes in next release and it can be fixed there. 

See the attached comparison. 
Comment 5 Ondrej Langr 2008-08-15 14:53:12 UTC
Created attachment 67542 [details]
toolbar comparison
Comment 6 Vitezslav Stejskal 2008-08-20 08:11:04 UTC
Ok, we are going to leave this for the future. Thanks Ondro.
Comment 7 David Strupl 2009-03-31 15:53:10 UTC
Resolving all issues with milestone "future" as LATER. If you feel strongly that
it should be implemented please reopen and set the target milestone to "next".
Comment 8 Quality Engineering 2009-11-02 11:03:28 UTC
NetBeans.org Migration: changing resolution from LATER to WONTFIX


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo